SimpleTextFieldInfosFormat (Lucene 10.5.0 codecs API)
Description: declaration: package: org.apache.lucene.codecs.simpletext, class: SimpleTextFieldInfosFormat

Package org.apache.lucene.codecs.simpletext

# Class SimpleTextFieldInfosFormat

java.lang.Object
org.apache.lucene.codecs.FieldInfosFormat
org.apache.lucene.codecs.simpletext.SimpleTextFieldInfosFormat

public class SimpleTextFieldInfosFormat extends FieldInfosFormat
plaintext field infos format

FOR RECREATIONAL USE ONLY

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleTextFieldInfosFormat()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `VectorSimilarityFunction`
  `distanceFunction(String scoreFunction)`
  `DocValuesSkipIndexType`
  `docValuesSkipIndexType(String dvSkipIndexType)`
  `DocValuesType`
  `docValuesType(String dvType)`
  `FieldInfos`
  `read(Directory directory, SegmentInfo segmentInfo, String segmentSuffix, IOContext iocontext)`
  `VectorEncoding`
  `vectorEncoding(String vectorEncoding)`
  `void`
  `write(Directory directory, SegmentInfo segmentInfo, String segmentSuffix, FieldInfos infos, IOContext context)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SimpleTextFieldInfosFormat

    public SimpleTextFieldInfosFormat()

- ## Method Details

  - ### read

    public FieldInfos read(Directory directory, SegmentInfo segmentInfo, String segmentSuffix, IOContext iocontext) throws IOException
    Specified by:
      `read` in class `FieldInfosFormat`
    Throws:
      `IOException`

  - ### docValuesType

    public DocValuesType docValuesType(String dvType)

  - ### docValuesSkipIndexType

    public DocValuesSkipIndexType docValuesSkipIndexType(String dvSkipIndexType)

  - ### vectorEncoding

    public VectorEncoding vectorEncoding(String vectorEncoding)

  - ### distanceFunction

    public VectorSimilarityFunction distanceFunction(String scoreFunction)

  - ### write

    public void write(Directory directory, SegmentInfo segmentInfo, String segmentSuffix, FieldInfos infos, IOContext context) throws IOException
    Specified by:
      `write` in class `FieldInfosFormat`
    Throws:
      `IOException`